Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class InvalidUserDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.InvalidUserDataException

    public class InvalidUserDataException
    extends GradleException

A `InvalidUserDataException` is thrown, if a user is providing illegal data for the build.

Constructor Summary
`InvalidUserDataException()`
`InvalidUserDataException(String message)`
`InvalidUserDataException(String message, Throwable cause)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### InvalidUserDataException

    public InvalidUserDataException()

### InvalidUserDataException

    public InvalidUserDataException(String message)

### InvalidUserDataException

    public InvalidUserDataException(String message, Throwable cause)

Gradle API 1.10